package repository

import "code.freebrio.com/fb-go/lib/context"

type thirdAgentInfoRepository interface {
	QueryPage(ctx context.GormWithZap, page, size int) *[]FThirdAgentInfoDO
	FindById(ctx context.GormWithZap, id uint64) *FThirdAgentInfoDO
	Count(ctx context.GormWithZap) int64

	Create(ctx context.GormWithZap, data *FThirdAgentInfoDO) error
	UpdateById(ctx context.GormWithZap, data FThirdAgentInfoDO) error
	UpdateStatusById(ctx context.GormWithZap, id uint64, status int, operator string) error

	deleteById(ctx context.GormWithZap, id uint64, operator string) error
}

var ThirdAgentInfo thirdAgentInfoRepository = new(thirdAgentInfoRepositoryImpl)
