package repository

import "code.freebrio.com/fb-go/lib/context"

type thirdCorpInfoRepository interface {
	QueryPage(ctx context.GormWithZap, page, size int) *[]FThirdCorpInfoDO
	FindById(ctx context.GormWithZap, id uint64) *FThirdCorpInfoDO
	Count(ctx context.GormWithZap) int64

	Create(ctx context.GormWithZap, data *FThirdCorpInfoDO) error
	UpdateById(ctx context.GormWithZap, data FThirdCorpInfoDO) error
	UpdateStatusById(ctx context.GormWithZap, id uint64, state int, operator string) error
	deleteById(ctx context.GormWithZap, id uint64, operator string) error
}

var ThirdCorpInfo thirdCorpInfoRepository = new(thirdCorpInfoRepositoryImpl)
