package repository

import "code.freebrio.com/fb-go/lib/context"

type thirdCorpUserAccountRepository interface {
	QueryPage(ctx context.GormWithZap, page, size int) *[]FThirdCorpUserAccountDO
	FindById(ctx context.GormWithZap, id uint64) *FThirdCorpUserAccountDO
	Count(ctx context.GormWithZap) int64

	Create(ctx context.GormWithZap, data *FThirdCorpUserAccountDO) error
	UpdateById(ctx context.GormWithZap, data FThirdCorpUserAccountDO) error
	UpdateStatusById(ctx context.GormWithZap, id uint64, state int, operator string) error
	deleteById(ctx context.GormWithZap, id uint64, operator string) error

	FindThirdAccountBy(ctx context.GormWithZap, bizId, corpId uint64, account string) *FThirdCorpUserAccountDO
}

var ThirdCorpUserAccount thirdCorpUserAccountRepository = new(thirdCorpUserAccountRepositoryImpl)
